Exchange rates
GET
/currency/rates
const url = 'https://hub.stablezact.com/api/v1/currency/rates';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://hub.stablezact.com/api/v1/currency/ratesRates used elsewhere in the system. Useful if you price in fiat, since amount on a payment is denominated in the stablecoin rather than in a fiat currency.
Responses
Section titled “Responses”Rates, with the date they are for.
Media typeapplication/json
object
success
boolean
cached
Whether this came from cache rather than upstream.
boolean
data
object
date
string format: date
usd
object
key
additional properties
number
Examplegenerated
{ "success": true, "cached": true, "data": { "date": "2026-04-15", "usd": { "additionalProperty": 1 } }}